Domain Record
API for public DNS records
Version: 0.1.0
Server
- URL:
https://api.kopernik.us/v0- Kopernik.us API server
Paths
/resource/domainzone/{providerUid}/{zoneUid}/record
GET
List domain records
List DNS records for the specified public DNS zone
Parameters:
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| providerUid | path | ProviderId | ✅ | |
| zoneUid | path | string | ✅ | |
| nextToken | query | string | ❌ | |
| maxResults | query | integer | ❌ | |
| jq | query | string | ❌ |
Responses:
-
200: Domain records data
- Content Type:
application/json- Schema: DomainRecordPagedResourceResponse
- Content Type:
-
400: Argument validation error
- Content Type:
application/json- Schema: ErrorResponse
- Content Type:
-
404: Domain zone not found
- Content Type:
application/json- Schema: ErrorResponse
- Content Type:
POST
Create domain record
Initiate creation of a new DNS record in the specified public DNS zone, and return an Action representing the create operation.
Parameters:
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| providerUid | path | ProviderId | ✅ | |
| zoneUid | path | string | ✅ | |
| waitTime | query | number | ❌ |
Request Body:
Content Type: application/json
Schema: DomainRecordCreate
Responses:
-
200: Domain record created
- Content Type:
application/json- Schema: ActionResponse
- Content Type:
-
202: Domain record create initiated
- Content Type:
application/json- Schema: ActionResponse
- Content Type:
-
400: Argument validation error
- Content Type:
application/json- Schema: ErrorResponse
- Content Type:
/resource/domainzone/{providerUid}/{zoneUid}/record/{recordUid}
GET
Get domain record
Get domain record details
Parameters:
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| providerUid | path | ProviderId | ✅ | |
| zoneUid | path | string | ✅ | |
| recordUid | path | string | ✅ |
Responses:
-
200: Domain record data
- Content Type:
application/json- Schema: DomainRecordResourceResponse
- Content Type:
-
400: Argument validation error
- Content Type:
application/json- Schema: ErrorResponse
- Content Type:
-
404: Domain record not found
- Content Type:
application/json- Schema: ErrorResponse
- Content Type:
DELETE
Delete domain record
Initiate deletion of a DNS record from the specified public DNS zone, and return an Action representing the delete operation.
Parameters:
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| providerUid | path | ProviderId | ✅ | |
| zoneUid | path | string | ✅ | |
| recordUid | path | string | ✅ | |
| waitTime | query | number | ❌ |
Responses:
-
200: Domain record deleted
- Content Type:
application/json- Schema: ActionResponse
- Content Type:
-
202: Domain record delete initiated
- Content Type:
application/json- Schema: ActionResponse
- Content Type:
-
400: Argument validation error
- Content Type:
application/json- Schema: ErrorResponse
- Content Type:
-
404: Domain record not found
- Content Type:
application/json- Schema: ErrorResponse
- Content Type:
Schemas
DomainRecordType
Supported common DNS record types
Type: enum
Values:
AAAAACAACNAMEMXNSSRVTXT
DomainRecord
DNS record in a public hosted zone
Composition: allOf
Type: object
Properties:
| Name | Type | Required | Description |
|---|---|---|---|
| zoneUid | string | ✅ | |
| zoneName | string | ✅ | |
| name | string | ✅ | |
| fqdn | string | ✅ | |
| recordType | DomainRecordType | ✅ | |
| ttl | integer | ||
| values | array |
✅ | |
| priority | integer | ||
| weight | integer | ||
| port | integer | ||
| flags | integer | ||
| tag | string |
DomainRecordCreate
Domain record create request
Type: object
Properties:
| Name | Type | Required | Description |
|---|---|---|---|
| name | string | ✅ | |
| recordType | DomainRecordType | ✅ | |
| ttl | integer | ||
| values | array |
✅ | |
| priority | integer | ||
| weight | integer | ||
| port | integer | ||
| flags | integer | ||
| tag | string |
DomainRecordResourceResponse
Response with domain record resource
Composition: allOf
Type: object
Properties:
| Name | Type | Required | Description |
|---|---|---|---|
| resource | DomainRecord | ✅ |
DomainRecordPagedResourceResponse
Response with paged domain records
Composition: allOf
Type: object
Properties:
| Name | Type | Required | Description |
|---|---|---|---|
| resources | array<DomainRecord> | ✅ |